#include "ginyencapsulador.h"
#include "ui_ginyencapsulador.h"

GinyEncapsulador::GinyEncapsulador(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyEncapsulador)
{
    ui->setupUi(this);
    gt = new GinyTemps;
    ui->verticalLayoutEtiquetes->addWidget(gt);
    connect(this,SIGNAL(vSenyalAtura()),gt,SLOT(vStop()));
    connect(this,SIGNAL(vSenyalInicia(int)),gt,SLOT(vStart(int)));
#ifndef VERSION_3
    ui->btStart->setEnabled(false);
#else
    ui->btStop->setVisible(false);
    ui->btStart->setText(tr("Sto&p"));
#endif

}

GinyEncapsulador::~GinyEncapsulador()
{
    delete ui;
}


void GinyEncapsulador::on_btStart_clicked()
{
#ifndef VERSION_3
    ui->btStart->setEnabled(false);
    ui->btStop->setEnabled(true);
    emit vSenyalInicia(REFRESC_ms);
#else
    if(ui->btStart->text() == tr("Sto&p")){
        ui->btStart->setText(tr("Star&t"));
        emit vSenyalAtura();
    }else{
        ui->btStart->setText(tr("Sto&p"));
        emit vSenyalInicia(REFRESC_ms);
    }
#endif
}

void GinyEncapsulador::on_btStop_clicked()
{
    ui->btStart->setEnabled(true);
    ui->btStop->setEnabled(false);
    emit vSenyalAtura();
}
